RDKit: RDKit::MolEnumerator::LinkNodeOp Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolEnumerator::LinkNodeOp Class Reference

Molecule enumeration operation corresponding to LINKNODES. More...

`#include <MolEnumerator.h>`

Inheritance diagram for RDKit::MolEnumerator::LinkNodeOp:

## Public Member Functions
| LinkNodeOp ()
| LinkNodeOp (const std::shared_ptr< ROMol > mol)
| LinkNodeOp (const ROMol &mol)
| LinkNodeOp (const LinkNodeOp &other)
LinkNodeOp & | operator= (const LinkNodeOp &other)
std::vector< size_t > | getVariationCounts () const override
| \override
std::unique_ptr< ROMol > | operator() (const std::vector< size_t > &which) const override
| \override
void | initFromMol (const ROMol &mol) override
| \override
std::unique_ptr< MolEnumeratorOp > | copy () const override
| \override
Public Member Functions inherited from RDKit::MolEnumerator::MolEnumeratorOp
| MolEnumeratorOp ()
virtual | ~MolEnumeratorOp ()

## Detailed Description

Molecule enumeration operation corresponding to LINKNODES.

Definition at line 103 of file MolEnumerator.h.

## Constructor & Destructor Documentation

## ◆ LinkNodeOp() [1/4]

RDKit::MolEnumerator::LinkNodeOp::LinkNodeOp | ( |  | ) |
| inline

Definition at line 105 of file MolEnumerator.h.

Referenced by copy(), LinkNodeOp(), and operator=().

## ◆ LinkNodeOp() [2/4]

RDKit::MolEnumerator::LinkNodeOp::LinkNodeOp | ( | const std::shared_ptr< ROMol > | mol | ) |
| inline

Definition at line 106 of file MolEnumerator.h.

References initFromMol(), and PRECONDITION.

## ◆ LinkNodeOp() [3/4]

RDKit::MolEnumerator::LinkNodeOp::LinkNodeOp | ( | const ROMol & | mol | ) |
| inline

Definition at line 110 of file MolEnumerator.h.

References initFromMol().

## ◆ LinkNodeOp() [4/4]

RDKit::MolEnumerator::LinkNodeOp::LinkNodeOp | ( | const LinkNodeOp & | other | ) |
| inline

Definition at line 111 of file MolEnumerator.h.

References LinkNodeOp().

## Member Function Documentation

## ◆ copy()

std::unique_ptr< MolEnumeratorOp > RDKit::MolEnumerator::LinkNodeOp::copy | ( |  | ) | const
| inlineoverridevirtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

Definition at line 143 of file MolEnumerator.h.

References LinkNodeOp().

## ◆ getVariationCounts()

std::vector< size_t > RDKit::MolEnumerator::LinkNodeOp::getVariationCounts | ( |  | ) | const
| overridevirtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

## ◆ initFromMol()

void RDKit::MolEnumerator::LinkNodeOp::initFromMol | ( | const ROMol & | mol | ) |
| overridevirtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

Referenced by LinkNodeOp(), and LinkNodeOp().

## ◆ operator()()

std::unique_ptr< ROMol > RDKit::MolEnumerator::LinkNodeOp::operator() | ( | const std::vector< size_t > & | which | ) | const
| overridevirtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

## ◆ operator=()

LinkNodeOp & RDKit::MolEnumerator::LinkNodeOp::operator= | ( | const LinkNodeOp & | other | ) |
| inline

Definition at line 119 of file MolEnumerator.h.

References LinkNodeOp().

The documentation for this class was generated from the following file:

- MolEnumerator.h